/* Specify connection options. Use an unrestricted user ID. */
options metaserver="xxx.xxx.xxx"
metauser="Domain\userid"
metapass="xxxxxx";
/* Initialize the macro variables that create canonical tables. */
%mduimpc();


/* Create the person table. */
data &persontbla ;
%definepersoncols;
infile datalines delimiter=',' missover;
input keyid name description title;
datalines;
1,John Smith,Director - Business Analytics,
;


/* Create the phone table. */
data &phonetbla ;
%definephonecols;
infile datalines delimiter=',' missover;
input keyid phoneNumber phoneType;
datalines;
1,(613) 555-5555,Office,
;

/* Create the location table. */
data &locationtbla ;
%definelocationcols;
infile datalines delimiter=',' missover;
input keyid locationName locationType address city postalcode area country;
datalines;
1,Director,Business Analytics,111 Main Street,Ottawa,K1C 4C2,ON,CA
;


/* Create the email table. */
data &emailtbla ;
%defineemailcols;
infile datalines delimiter=',' missover;
input keyid emailAddr emailtype;
datalines;
1,John.Smith@domain.ra.ca,Business
;



/* Create the authdomain table. */
data &authdomtbla;
%defineauthdomcols;
infile datalines delimiter=',' missover;
input keyid authDomName;
datalines;
1,DefaultAuth
;

/* Create the logins table. */
data &logintbla;
%definelogincols;
infile datalines delimiter=',' missover;
input keyid userid password authdomkeyid;
datalines;
1,Domain\Smith, ,1
;

/* Create the idgrp table. */
data &idgrptbla ;
%defineidgrpcols;
infile datalines delimiter=',' missover;
input keyid name description grpType;
datalines;
g001,Visual Analytics Users,,BulkLoad
;


/* Create the grpmems table. */
data &idgrpmemstbla;
%defineidgrpmemscols;
infile datalines delimiter=',' missover;
input grpkeyid memkeyid;
datalines;
g001,1
;

/* Load the information from the work library into the metadata server. */
%mduimplb();
